package cz.upol.scripting.game;

/**
 * Dvojrozmerny vektor hodnot typu double.
 * Nemenitelny objekt.
 */
public class Vector {
	
	private final double x;
	private final double y;
	
	public Vector(double x, double y) {
		super();
		this.x = x;
		this.y = y;
	}

	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	@Override
	public String toString() {
		return "[" + x + ", " + y + "]";
	}
}
